CSFML

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
sfSoundStreamChunk Struct Reference

defines the data to fill by the OnGetData callback More...

`#include <SoundStream.h>`

## Public Attributes

sfInt16 * | samples
| Pointer to the audio samples. More...
unsigned int | sampleCount
| Number of samples pointed by Samples. More...

## Detailed Description

defines the data to fill by the OnGetData callback

Definition at line 42 of file SoundStream.h.

## Member Data Documentation

## ◆ sampleCount

unsigned int sfSoundStreamChunk::sampleCount

Number of samples pointed by Samples.

Definition at line 45 of file SoundStream.h.

## ◆ samples

sfInt16* sfSoundStreamChunk::samples

Pointer to the audio samples.

Definition at line 44 of file SoundStream.h.

The documentation for this struct was generated from the following file:

- SoundStream.h